﻿© Fluke Calibration, All Rights Reserved.                   MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek THS700x (1 yr) DCV VER RS-232 /9100+S2
INSTRUMENT:            Sub Tek THS700x (1 yr) Sample Rate VER RS-232 /9100+S2
INSTRUMENT:            Sub Tek THS700x (1 yr) Bandwidth VER RS-232 /9100+S2
INSTRUMENT:            Sub Tek THS700x (1 yr) Trig Sens VER RS-232 /9100+S2
DATE:                  2010-08-26 07:59:21
AUTHOR:                Fluke
REVISION:              $Revision: 19178 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       13
NUMBER OF LINES:       340
CONFIGURATION:         Datron 9100 (S2)
=============================================================================
#
#  Procedure Author:
#        ZY
#
#  Model(s) Covered:
#        THS710A, THS720A, THS730A, THS720P
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub Tek THS700x Select Channel RS-232
#        Sub Tek THS700x Trigger Chk and Level Adj RS-232
#        Sub Tek THS700x Scope Measure RS-232
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# Reset the UUT and restore to factory setting.
  1.001  PORT         *CLS;*RST;:CLEARM;:HEADER OFF;*OPC?[I!]
  1.002  CALL         Sub Tek THS700x Select Channel RS-232

  1.003  JMPL         DCV                          PSUBI("DCV")
  1.004  JMPL         SAMPLE_RATE                  PSUBI("Sample")
  1.005  JMPL         BANDWIDTH                    PSUBI("Bandwidth")
  1.006  JMPL         TRIGGER_SENS                 PSUBI("Trig Sens")
  1.007  DISP         Subprocedure not found!
  1.008  END

  1.009  EVAL   Increment step number

# ********************** DC VOLTAGE ************************************

  2.001  LABEL        DCV

  2.002  IF           @Chan == 1
  2.003  RSLT         =
  2.004  RSLT         =SCOPE DCV MEASUREMENT ACCURACY
  2.005  ENDIF

  2.006  RSLT         =
  2.007  RSLT         =Channel [V @Chan]

  2.008  HEAD         DC VOLTAGE MEASUREMENT ACCURACY (CH [V @Chan])
  2.009  HEAD         -2 5 mV/div
  2.010  TARGET       -p
  2.011  PORT         ACQ:MOD SAM;NUMAV 16
  2.012  PORT         CH[V @Chan]:PROB:UNIT VOL;VOLTSCALE 1
  2.013  PORT         CH[V @Chan]:SCA 5E-3
  2.014  PORT         MEASU:MEAS1:SOU CH[V @Chan];TYP MEAN;STATE ON;*OPC?[I!]
  2.015  TARGET       -m
  2.016  9100         17.5mV                                         SC S
  2.017  MATH         PosAcc = ACCV("Datron 9100", "Volts SC", MEM1 * 1E-3)
  2.018  WAIT         -t 5 System Settling...
  2.019  CALL         Sub Tek THS700x Scope Measure RS-232
  2.020  MATH         PosValue = @SCOPE_Meas / 1E-3
  2.021  9100         -17.5mV                                        SC S
  2.022  MATH         NegAcc = ACCV("Datron 9100", "Volts SC", MEM1 * 1E-3)
  2.023  WAIT         -t 5 System Settling...
  2.024  CALL         Sub Tek THS700x Scope Measure RS-232
  2.025  MATH         NegValue = @SCOPE_Meas / 1E-3
  2.026  MATH         L[1] = RSS2(PosAcc, NegAcc) / CONF("Datron 9100") * 2
  2.027  MATH         L[1] = L[1] / 1E-3
  2.028  ACC          35.00mV        L1U
  2.029  MATH         MEM = PosValue - NegValue
  2.030  MEMCX        35.00mV        0.95U

  3.001  HEAD         -2 500 mV/div
  3.002  TARGET       -p
  3.003  PORT         CH[V @Chan]:SCA 5E-1;*OPC?[I!]
  3.004  TARGET       -m
  3.005  9100         1.75V                                          SC S
  3.006  MATH         PosAcc = ACCV("Datron 9100", "Volts SC", MEM1)
  3.007  WAIT         -t 5 System Settling...
  3.008  CALL         Sub Tek THS700x Scope Measure RS-232
  3.009  MATH         PosValue = @SCOPE_Meas
  3.010  9100         -1.75V                                         SC S
  3.011  MATH         NegAcc = ACCV("Datron 9100", "Volts SC", MEM1)
  3.012  WAIT         -t 5 System Settling...
  3.013  CALL         Sub Tek THS700x Scope Measure RS-232
  3.014  MATH         NegValue = @SCOPE_Meas
  3.015  MATH         L[1] = RSS2(PosAcc, NegAcc) / CONF("Datron 9100") * 2
  3.016  ACC          3.500V         L1U
  3.017  MATH         MEM = PosValue - NegValue
  3.018  MEMCX        3.500V         0.095U

  4.001  HEAD         -2 2 V/div
  4.002  TARGET       -p
  4.003  PORT         CH[V @Chan]:SCA 2;*OPC?[I!]
  4.004  TARGET       -m
  4.005  9100         7.00V                                          SC S
  4.006  MATH         PosAcc = ACCV("Datron 9100", "Volts SC", MEM1)
  4.007  WAIT         -t 5 System Settling...
  4.008  CALL         Sub Tek THS700x Scope Measure RS-232
  4.009  MATH         PosValue = @SCOPE_Meas
  4.010  9100         -7.00V                                         SC S
  4.011  MATH         PosAcc = ACCV("Datron 9100", "Volts SC", MEM1)
  4.012  WAIT         -t 5 System Settling...
  4.013  CALL         Sub Tek THS700x Scope Measure RS-232
  4.014  MATH         NegValue = @SCOPE_Meas
  4.015  MATH         L[1] = RSS2(PosAcc, NegAcc) / CONF("Datron 9100") * 2
  4.016  ACC          14.00V         L1U
  4.017  MATH         MEM = PosValue - NegValue
  4.018  MEMCX        14.00V         0.38U

  5.001  HEAD         -2 10 V/div
  5.002  TARGET       -p
  5.003  PORT         CH[V @Chan]:SCA 10;*OPC?[I!]
  5.004  TARGET       -m
  5.005  9100         35V                                            SC S
  5.006  MATH         PosAcc = ACCV("Datron 9100", "Volts SC", MEM1)
  5.007  WAIT         -t 5 System Settling...
  5.008  CALL         Sub Tek THS700x Scope Measure RS-232
  5.009  MATH         PosValue = @SCOPE_Meas
  5.010  9100         -35V                                           SC S
  5.011  MATH         NegAcc = ACCV("Datron 9100", "Volts SC", MEM1)
  5.012  WAIT         -t 5 System Settling...
  5.013  CALL         Sub Tek THS700x Scope Measure RS-232
  5.014  MATH         NegValue = @SCOPE_Meas
  5.015  MATH         L[1] = RSS2(PosAcc, NegAcc) / CONF("Datron 9100") * 2
  5.016  ACC          70.0V          L1U
  5.017  MATH         MEM = PosValue - NegValue
  5.018  MEMCX        70.0V          1.9U

  6.001  HEAD         -2
  6.002  HEAD
  6.003  9100         *                                                 S
  6.004  END

  6.005  EVAL   Increment step number

# ********************** SAMPLE RATE ************************************

  7.001  LABEL        SAMPLE_RATE
  7.002  RSLT         =
  7.003  RSLT         =SAMPLE RATE AND DELAY TIME ACCURACY
  7.004  TARGET
  7.005  PORT         CH[V @Chan]:PROB:UNIT VOL;VOLTSCALE 1
  7.006  PORT         CH1:SCA 500E-3;*OPC?[I!]
  7.007  9100         10mT                         1Vpp           MK SC S  L
  7.008  WAIT         [D1000]
  7.009  PORT         TRIG:MAI SETL
  7.010  PORT         HOR:TRIG:POS 50
  7.011  PORT         HOR:DEL:MOD RUNSA;SCA 50E-3;TIM 10E-3;SCA 500E-9
  7.011  PORT         *OPC?[I!]
  7.012  MESS         Does the rising edge of the marker cross the center
  7.012  MESS         horizontal graticule line within ±4 divisions of
  7.012  MESS         center graticule?
  7.013  MEM2         = Limit : ±4 div @1 µs/div, 10 ms delay time
  7.014  EVAL   -s MEM2 :

  8.001  MESS
  8.002  HEAD
  8.003  9100         *                                                 S
  8.004  END

  8.005  EVAL   Increment step number

# ********************** BANDWIDTH ************************************

  9.001  LABEL        BANDWIDTH

  9.002  IF           @Chan == 1
  9.003  RSLT         =
  9.004  RSLT         =BANDWIDTH
  9.005  ENDIF

  9.006  RSLT         =
  9.007  RSLT         =Channel [V @Chan]
  9.008  HEAD         BANDWIDTH (CH [V @Chan]): 100 mV/div
  9.009  TARGET
  9.010  PORT         ACQ:MOD SAM;NUMAV 16
  9.011  PORT         TRIG:MAI:EDGE:SOU CH[V @Chan];COUP NOISE
  9.012  PORT         CH[V @Chan]:PROB:UNIT VOL;VOLTSCALE 1.0E0
  9.013  PORT         CH[V @Chan]:SCA 100E-3
  9.014  PORT         HOR:FIT OFF;MAIN:SCA 10E-6
  9.015  PORT         MEASU:METH MINM
  9.016  PORT         MEASU:MEAS1:SOU CH[V @Chan];TYP PK2;STATE ON;*OPC?[I!]

  9.017  MATH         MEM = 600; MEM1 = MEM

  9.018  DO
  9.019  MATH         MEM = MEM1 + (600 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  9.020  IF           MEM > 950 || MEM < 200
  9.021  MATH         MEM = 600
  9.022  ENDIF

  9.023  9100         mVpp                         50kH           LS SC S  L
  9.024  WAIT         -t 6 UUT Setting...
  9.025  CALL         Sub Tek THS700x Scope Measure RS-232
  9.026  MATH         MEM = @SCOPE_Meas / 1E-3
  9.027  UNTIL        (MEM >= 597) && (MEM <= 603)

# Last calibrator amplitude setting is in MEM1.
  9.028  MATH         MEM = MEM1
  9.029  PORT         HOR:MAIN:SCA 10E-9;*OPC?[I!]

  9.030  IF           @Bandwidth == 100E+6
  9.031  PORT         HOR:MAIN:SCA 10E-9
  9.032  9100         mVpp                         100MH          LS SC S  L
  9.033  ELSEIF       @Bandwidth == 200E+6
  9.034  PORT         HOR:MAIN:SCA 2E-9
  9.035  9100         mVpp                         200MH          LS SC S  L
  9.036  ELSEIF       @Bandwidth == 60E+6
  9.037  PORT         HOR:MAIN:SCA 1E-9
  9.038  9100         mVpp                         60MH           LS SC S  L
  9.039  ENDIF

  9.040  WAIT         -t 6 System settling...
  9.041  CALL         Sub Tek THS700x Scope Measure RS-232
  9.042  MATH         MEM = @SCOPE_Meas / 1E-3
  9.043  MATH         RstStr = FMT(MEM, "%.1f") & " mVpp"
  9.044  MATH         RstStr = " Bound >= 425 mVpp, result: " & RstStr
  9.045  EVAL   -e MEM >= 425 : [V RstStr]

 10.001  HEAD
 10.002  9100         *                                                 S
 10.003  END

 10.004  EVAL   Increment step number

# ********************** TRIGGER SENSITIVITY ****************************

 11.001  LABEL        TRIGGER_SENS

 11.002  IF           @Chan == 1
 11.003  RSLT         =
 11.004  RSLT         =EDGE TRIGGER SENSITIVITY
 11.005  ENDIF

 11.006  RSLT         =
 11.007  RSLT         =Channel [V @Chan]
 11.008  HEAD         TRIGGER SENSITIVITY (CH [V @Chan])
 11.009  HEAD         -2 RISING SLOPE
 11.010  TARGET
 11.011  PORT         ACQ:MOD SAM;NUMAV 16
 11.012  PORT         TRIG:MAI:EDGE:SOU CH[V @Chan]
 11.013  PORT         TRIGGER:MAI:EDGE:SLO RIS
 11.014  PORT         CH[V @Chan]:PROB:UNIT VOL;VOLTSCALE 1
 11.015  PORT         CH[V @Chan]:SCA 500E-3
 11.016  PORT         HOR:FIT OFF;MAIN:SCA 10E-9
 11.017  PORT         MEASU:METH MINM
 11.018  PORT         MEASU:MEAS1:SOU CH[V @Chan];TYP AMPL;STATE ON;*OPC?[I!]

# Set the output of the calibrator so the peak-to-peak measurement is
# approximately 500 mV.
 11.019  MATH         MEM = 500; MEM1 = MEM

 11.020  DO
 11.021  MATH         MEM = MEM1 + (500 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
 11.022  IF           MEM > 740 || MEM < 250
 11.023  MATH         MEM = 500
 11.024  ENDIF

 11.025  IF           @Bandwidth == 100E+6
 11.026  9100         mVpp                         100MH          LS SC S  L
 11.027  ELSEIF       @Bandwidth == 200E+6
 11.028  9100         mVpp                         200MH          LS SC S  L
 11.029  ELSEIF       @Bandwidth == 60E+6
 11.030  9100         mVpp                         60MH           LS SC S  L
 11.031  ENDIF

 11.032  MATH         CalOutVal = MEM1
 11.033  WAIT         -t 3 UUT Setting...
 11.034  PORT         TRIG:MAI SETL;*OPC?[I!]
 11.035  CALL         Sub Tek THS700x Scope Measure RS-232
 11.036  MATH         MEM = @SCOPE_Meas / 1E-3
 11.037  UNTIL        (MEM >= 485) && (MEM <= 515)

 11.038  MATH         @PeakVal = MEM / 2
 11.039  CALL         Sub Tek THS700x Trigger Chk and Level Adj RS-232
 11.040  EVAL   -e @Trigged : Rising Slope, Stable Trigger

 12.001  HEAD         -2 FALLING SLOPE
 12.002  TARGET
 12.003  PORT         TRIG:MAI:EDGE:SLO FALL;*OPC?[I!]
 12.004  MATH         MEM = CalOutVal

 12.005  IF           @Bandwidth == 100E+6
 12.006  9100         mVpp                         100MH          LS SC S  L
 12.007  ELSEIF       @Bandwidth == 200E+6
 12.008  9100         mVpp                         200MH          LS SC S  L
 12.009  ELSEIF       @Bandwidth == 60E+6
 12.010  9100         mVpp                         60MH           LS SC S  L
 12.011  ENDIF

 12.012  WAIT         -t 3 UUT Setting...
 12.013  CALL         Sub Tek THS700x Scope Measure RS-232
 12.014  MATH         @PeakVal = @SCOPE_Meas / 2
 12.015  CALL         Sub Tek THS700x Trigger Chk and Level Adj RS-232
 12.016  EVAL   -e @Trigged : Falling Slope, Stable Trigger

 13.001  HEAD         -2
 13.002  HEAD
 13.003  9100         *                                                 S
 13.004  END
